> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/funding/get-deposit-history/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Get deposit history GET https://www.okx.com/api/v5/asset/deposit-history Retrieve the deposit records according to the currency, deposit status, and time range in reverse chronological order. Records for the last one year are available. Reference: https://okx-demo.ferndocs.com/api/api-reference/funding/get-deposit-history ## Authentication - `OK-ACCESS-KEY` header (required) — Your API key. - `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string. - `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z. - `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key. ## Request ### Query parameters - `ccy` (string, optional) — Currency, e.g. BTC. - `depId` (string, optional) — Deposit ID. - `fromWdId` (string, optional) — Internal transfer initiator's withdrawal ID. Only when deposit comes from internal transfer. - `txId` (string, optional) — Hash record of the deposit. - `type` (enum, optional) — Deposit type: 3=internal transfer, 4=deposit from chain. - Allowed values: `3`, `4` - `state` (enum, optional) — Status of deposit: 0=waiting for confirmation, 1=deposit credited, 2=deposit successful, 8=pending due to temporary deposit suspension, 11=match the address blacklist, 12=account or deposit is frozen, 13=sub-account deposit interception, 14=KYC limit. - Allowed values: `0`, `1`, `2`, `8`, `11`, `12`, `13`, `14`, `17` - `after` (string, optional) — Pagination of data to return records earlier than the requested ts, Unix timestamp in milliseconds. - `before` (string, optional) — Pagination of data to return records newer than the requested ts, Unix timestamp in milliseconds. - `limit` (string, optional) — Number of results per request. Maximum is 100; default is 100. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5AssetDepositHistoryGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5AssetDepositHistoryGetResponsesContentApplicationJsonSchemaDataItems - `ccy` (string, optional) — Currency, e.g. BTC. - `chain` (string, optional) — Chain name. - `amt` (string, optional) — Deposit amount. - `from` (string, optional) — Deposit account. For internal transfer, displays the account info (phone/email, masked); otherwise "". - `areaCodeFrom` (string, optional) — If from is a phone number, this returns the area code of the phone number. - `to` (string, optional) — Deposit address. For on-chain deposits, displays the on-chain address; otherwise "". - `txId` (string, optional) — Hash record of the deposit. - `ts` (string, optional) — Timestamp that the deposit record was created, Unix timestamp in milliseconds. - `state` (string, optional) — Status of deposit. - `depId` (string, optional) — Deposit ID. - `fromWdId` (string, optional) — Internal transfer initiator's withdrawal ID; "" when not from internal transfer. - `actualDepBlkConfirm` (string, optional) — The actual amount of blockchain confirmations in a single deposit. ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ { "ccy": "USDT", "chain": "USDT-TRC20", "amt": "1", "from": "", "areaCodeFrom": "", "to": "TN4hGjVXMzy*********9b4N1aGizqs", "txId": "fee235b3e812********857d36bb0426917f0df1802", "ts": "1674038705000", "state": "2", "depId": "88****33", "fromWdId": "", "actualDepBlkConfirm": "2" } ] } ``` **SDK Code** ```python funding_getDepositHistory_example import requests url = "https://www.okx.com/api/v5/asset/deposit-history" headers = {"OK-ACCESS-KEY": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript funding_getDepositHistory_example const url = 'https://www.okx.com/api/v5/asset/deposit-history'; const options = {method: 'GET', headers: {'OK-ACCESS-KEY': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go funding_getDepositHistory_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/asset/deposit-history" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("OK-ACCESS-KEY", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby funding_getDepositHistory_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/asset/deposit-history") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["OK-ACCESS-KEY"] = '' response = http.request(request) puts response.read_body ``` ```java funding_getDepositHistory_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/asset/deposit-history") .header("OK-ACCESS-KEY", "") .asString(); ``` ```php funding_getDepositHistory_example request('GET', 'https://www.okx.com/api/v5/asset/deposit-history', [ 'headers' => [ 'OK-ACCESS-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp funding_getDepositHistory_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/asset/deposit-history"); var request = new RestRequest(Method.GET); request.AddHeader("OK-ACCESS-KEY", ""); IRestResponse response = client.Execute(request); ``` ```swift funding_getDepositHistory_example import Foundation let headers = ["OK-ACCESS-KEY": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/asset/deposit-history")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```